Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.index
Class CollectionStore

    java.lang.Object
      org.exist.storage.btree.Paged
          org.exist.storage.btree.BTree
              org.exist.storage.index.BFile
                  org.exist.storage.index.CollectionStore

public class CollectionStore
extends BFile

Handles access to the central collection storage file (collections.dbx).

Author:
  wolf

Nested Class Summary
`static class` | `CollectionStore.CollectionKey`
`static class` | `CollectionStore.DocumentKey`

Nested classes inherited from class org.exist.storage.index.BFile
`BFile.PageInputStream`

Nested classes inherited from class org.exist.storage.btree.Paged
`Paged.FileHeader, Paged.Page, Paged.PageHeader`

Field Summary
`static java.lang.String` | `FREE_COLLECTION_ID_KEY`
`static java.lang.String` | `FREE_DOC_ID_KEY`
`static byte` | `KEY_TYPE_COLLECTION`
`static byte` | `KEY_TYPE_DOCUMENT`
`static java.lang.String` | `NEXT_COLLECTION_ID_KEY`
`static java.lang.String` | `NEXT_DOC_ID_KEY`

Fields inherited from class org.exist.storage.index.BFile
`DATA_SYNC_PERIOD, FILE_FORMAT_VERSION_ID, fixedKeyLen, FREE_LIST, LOB, LOG_CREATE_PAGE, LOG_OVERFLOW_APPEND, LOG_OVERFLOW_CREATE, LOG_OVERFLOW_CREATE_PAGE, LOG_OVERFLOW_MODIFIED, LOG_OVERFLOW_REMOVE, LOG_OVERFLOW_STORE, LOG_REMOVE_PAGE, LOG_REMOVE_VALUE, LOG_STORE_VALUE, MULTI_PAGE, PAGE_MIN_FREE, RECORD, UNKNOWN_ADDRESS`

Fields inherited from class org.exist.storage.btree.BTree
`KEY_NOT_FOUND, LOG_CREATE_BNODE, LOG_INSERT_VALUE, LOG_SET_PARENT, LOG_UPDATE_PAGE, LOG_UPDATE_VALUE`

Constructor Summary
`CollectionStore(BrokerPool pool, java.io.File file, CacheManager cacheManager)`

Method Summary
`boolean` | `flush()`

Methods inherited from class org.exist.storage.index.BFile
`append, append, close, closeAndRemove, containsKey, create, createFileHeader, createFileHeader, createFileHeader, createFileHeader, createPageHeader, debugFreeList, find, findEntries, findKeys, get, get, getAsStream, getAsStream, getDataBufferStats, getEntries, getFileVersion, getKeys, getLock, getValues, open, printStatistics, put, put, put, put, put, remove, remove, remove, removeAll, setLocation, storeValue, update, update, update`

Methods inherited from class org.exist.storage.btree.BTree
`addValue, addValue, dump, findValue, getIndexBufferStats, open, query, query, remove, remove, removeValue, removeValue`

Methods inherited from class org.exist.storage.btree.Paged
`backupToStream, exists, getFile, getFileHeader, getPageSize, hexDump, isOpened, isReadOnly, printFreeSpaceList, setPageSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREE_DOC_ID_KEY

    public static final java.lang.String FREE_DOC_ID_KEY

See Also:
  Constant Field Values

### NEXT_DOC_ID_KEY

    public static final java.lang.String NEXT_DOC_ID_KEY

See Also:
  Constant Field Values

### FREE_COLLECTION_ID_KEY

    public static final java.lang.String FREE_COLLECTION_ID_KEY

See Also:
  Constant Field Values

### NEXT_COLLECTION_ID_KEY

    public static final java.lang.String NEXT_COLLECTION_ID_KEY

See Also:
  Constant Field Values

### KEY_TYPE_COLLECTION

    public static final byte KEY_TYPE_COLLECTION

See Also:
  Constant Field Values

### KEY_TYPE_DOCUMENT

    public static final byte KEY_TYPE_DOCUMENT

See Also:
  Constant Field Values

Constructor Detail

### CollectionStore

    public CollectionStore(BrokerPool pool,
                           java.io.File file,
                           CacheManager cacheManager)
                    throws DBException

Parameters:
  `pool` -
  `cacheManager` -
  `file` -
Throws:
  `DBException`

Method Detail

### flush

    public boolean flush()
                  throws DBException

  Overrides:
    `flush` in class `BFile`
  Throws:
    `DBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.